#!/bin/sh


progname=$0

case $progname in 
   /*) ;;
   ./*) progname=$(pwd)/$(basename $progname) ;;
   *) progname=$(pwd)/$progname ;;
esac

JAC_ROOT=$(dirname $progname)

echo "JAC_ROOT=$JAC_ROOT"

JAVA=java
if [ -n "$JAVA_HOME" ]; then
    JAVA=$JAVA_HOME/bin/java
fi

JAR=$JAC_ROOT/jac.jar
JVM_OPTS="$JVM_OPTS -Dswing.defaultlaf=javax.swing.plaf.metal.MetalLookAndFeel"

if [ -e $JAC_ROOT/ide/ide.jac ]; then
    DESCRIPTOR=$JAC_ROOT/ide/ide.jac
else
    DESCRIPTOR=$JAC_ROOT/src/org/objectweb/jac/ide/ide.jac
fi

if [ -e $JAR ]; then
    $JAVA $JVM_OPTS -jar $JAR -R $JAC_ROOT -w -G ide $* $DESCRIPTOR
else
    CLASSPATH="$JAC_ROOT/classes:$JAC_ROOT/src"
    for jar in `find $JAC_ROOT/lib -name "*.jar"`; do
	CLASSPATH=$CLASSPATH:$jar
    done
    #echo "CLASSPATH=$CLASSPATH"
    $JAVA $JVM_OPTS -classpath $CLASSPATH org.objectweb.jac.core.Jac -R $JAC_ROOT -w -G ide $* $DESCRIPTOR
fi
