#!/bin/sh
# Launch a sample
# usage: run_sample.sh <jac_file> <gui_type> <gui_name>
#
# JAC_ROOT is set to directory above the directory containing this script

if [ $# -lt 3 ]; then
    echo "usage: run_sample.sh <jac_file> <gui_type> <gui_name> [jac_options...]";
    echo "	<jac_file> path to .jac file (relative to $JAC_ROOT)"
    echo "	<gui_type> type of gui: swing or web"
    echo "	<gui_name> name of the gui window launch"
    exit 1;
fi

case $2 in 
    swing) gui="-G";;
    web) gui="-W";;
    *) echo "gui-type must be \"swing\" or \"web\""; exit 1;;
esac

progname=$0

case $progname in 
   /*)  ;;
   ./*) progname=$(pwd)/$(echo $progname | cut -c 3-) ;;
   *) progname=$(pwd)/$progname ;;
esac

progname=$(dirname $progname)

JAC_ROOT=$(dirname $progname)

echo "JAC_ROOT=$JAC_ROOT"

JAVA=java
if [ -n "$JAVA_HOME" ]; then
    JAVA=$JAVA_HOME/bin/java
fi

guiname=$3
jacfile=$1

shift 3

$JAVA -Dswing.defaultlaf=javax.swing.plaf.metal.MetalLookAndFeel -jar $JAC_ROOT/jac.jar -R $JAC_ROOT -w -C $JAC_ROOT/samples.jar $gui $guiname $* $JAC_ROOT/$jacfile


