/*
  Copyright (C) 2002 Laurent Martelli <laurent@aopsys.com>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU Lesser General Public License as
  published by the Free Software Foundation; either version 2 of the
  License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA */

package org.objectweb.jac.aspects.cache;

import org.objectweb.jac.core.AspectComponent;
import org.objectweb.jac.core.Interaction;
import org.objectweb.jac.core.Wrapper;
import org.objectweb.jac.core.Wrapping;
import org.objectweb.jac.util.Log;
import org.objectweb.jac.util.ObjectArray;
import java.util.Hashtable;

/**
 * The wrapper of the CacheAC.
 * @see CacheAC
 */
public class CacheWrapper extends Wrapper {
   public CacheWrapper(AspectComponent ac) {
      super(ac);
   }
   
   Hashtable cache = new Hashtable();
   
   public Object cache(Interaction interaction) {
      Log.trace("cache","cache "+interaction+"?");
      Hashtable methodCache = (Hashtable)cache.get(interaction.method);
      if (methodCache==null) {
         methodCache = new Hashtable();
         cache.put(interaction.method,methodCache);
      }
      ObjectArray args = new ObjectArray(interaction.args);
      Log.trace("cache","cache = "+methodCache);
      if (methodCache.containsKey(args)) {
         Log.trace("cache","cache hit "+args.hashCode());
         return methodCache.get(args);
      } else {
         Log.trace("cache","cache miss "+args.hashCode());
         Object result = proceed(interaction);
         methodCache.put(args,result);
         return result;
      }
   }
}
