/*
  Copyright (C) 2001 Laurent Martelli
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU Lesser General Public License as
  published by the Free Software Foundation; either version 2 of the
  License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */

package org.objectweb.jac.aspects.gui.web;

import javax.servlet.ServletRequest;


/**
 * This interface defines events for a dialog window
 */

public interface DialogListener {
   /**
    * Called when the OK button was pressed by the user
    *
    * @param request the servlet request
    */
   void onOK(JacRequest request);

   /**
    * Validates inputs, but creates no HTML.
    */
   void onValidate(JacRequest request);

   /**
    * Called when the Cancel button was pressed by the user
    */
   void onCancel();

   /**
    * Restore context attributes stored at creation time
    */
   void restoreContext();
}
