/*
  Copyright (C) 2003 Laurent Martelli <laurent@aopsys.com>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU Lesser General Public License as
  published by the Free Software Foundation; either version 2 of the
  License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */

package org.objectweb.jac.aspects.naming;

import org.objectweb.jac.util.Log;
import java.io.InputStream;
import java.io.StreamTokenizer;
import java.util.Hashtable;
import java.util.Map;


/**
 * Generate names for objects using the classname and an integer
 * counter.
 */
public class NameGenerator extends Hashtable {

   /**
    * Creates a new NameGenerator
    */
   public NameGenerator() {
   }

   public synchronized String generateName(String className) {
      Long n = (Long)get(className);
      if (n==null) {
         n = new Long(0);
      }
      String res = className.substring(className.lastIndexOf('.')+1)
         . toLowerCase() + n;
      put(className,new Long(n.longValue()+1));
      return res;
   }

}
