/*
  Copyright (C) 2003 Laurent Martelli <laurent@aopsys.com>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU Lesser General Public License as
  published by the Free Software Foundation; either version 2 of the
  License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */

package org.objectweb.jac.util;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

public class Pipes
{
   /**
    * Read data from an InputStream and writes it to an OutputStream
    */
   public static void pipe(InputStream in, OutputStream out) 
      throws IOException 
   {
      int bufferSize = 1024;
      byte[] buffer = new byte[bufferSize];
      int read;
      while ((read=in.read(buffer,0,bufferSize))!=-1) {
         out.write(buffer,0,read);
      }
   }
}
