/*
  Copyright (C) 2001 Laurent Martelli

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU Lesser General Public License as
  published by the Free Software Foundation; either version 2 of the
  License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */

package org.objectweb.jac.util;

public class Stack extends java.util.Stack {
   /**
    * Returns the i-th element from the top of the stack
    * @param i index of element to get
    */
   public Object peek(int i) {
      return get(size()-1-i);
   }
   public void poke(int i, Object value) {
      set(size()-1-i,value);
   }
   /**
    * Pops n elements from the top of the stack
    * @param n number of elements to pop off the stack
    */
   public void pop(int n) {
      for (;n>0; n--) {
         pop();
      }
   }
   /**
    * swap peek() and peek(1)
    */
   public void swap() {
      Object tmp = peek();
      poke(0,peek(1));
      poke(1,tmp);
   }
}
