package org.objectweb.jac.util.res;


import org.objectweb.jac.util.Strings;
import java.io.*;
import org.apache.tools.ant.BuildException;
import org.apache.tools.ant.Task;

public class CopyResource extends Task{
    private FileFilter fileFilter;
    private String destination;
    private String source;
    private String[] files;
    private int sourceSize;

    public void execute() throws BuildException{
        try{
            File src=new File(source);
            if (!src.isDirectory()){
                throw new Exception("source isnt a directory");
            }
            sourceSize=src.getCanonicalPath().length();
            File dest=new File(destination);
            if (!dest.isDirectory()){
                throw new Exception("destination isnt a directory");
            }
            copyRep(src,dest);
        }catch (Exception e){
            e.printStackTrace();
            System.out.println("Copy aborted");
            throw new BuildException("Parser generation failed");
        }
    }

    private void copyRep(File src,File dest)throws IOException{
        File all[]=src.listFiles(fileFilter);
        for (int i=0;i<all.length;i++){
            if (all[i].isFile()){
                String file=all[i].getCanonicalPath();
                file=file.substring(sourceSize);
                File out=new File(dest.getCanonicalPath()+file);
                copy(all[i],out);
            }else{
                copyRep(all[i],dest);
            }
        }
    }

    private void copy(File fin,File fout)throws IOException{
        FileInputStream in=new FileInputStream(fin);
        fout.getParentFile().mkdirs();
        fout.createNewFile();
        FileOutputStream out=new FileOutputStream(fout);
        byte b[]=new byte[(int)fin.length()];
        in.read(b);
        out.write(b);
        in.close();
        out.close();
    }

    public void setFilename(String filename){
        files = Strings.split(filename,",");
        for (int i=0;i<files.length;i++) files[i]=files[i].toLowerCase();
        this.fileFilter=new FileFilter(){
            public boolean accept(File pathname){
                try{
                    if (pathname.isDirectory()) return true;
                    for (int i=0;i<files.length;i++){
                        if (pathname.getCanonicalPath().toLowerCase().endsWith(files[i])){
                            return true;
                        }
                    }
                }catch(IOException e){
                    e.printStackTrace();
                }
                return false;
            }
        };
    }

    public void setDestination(String dest){
        this.destination=dest;
    }

    public void setSource(String source){
        this.source=source;
    }
}
