<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN">
<html>
  <head>
    <title>JAC: an Aspect Oriented Programming (AOP) framework in Java</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
    <meta name="lang" content="en">
    <link rel="stylesheet" type="text/css" href="basic.css"
      title="basic style" media="all">
  </head>

  <body>

    <p class=netscapeonly style="color:red; font-weight:bold;
      font-size: larger">WARNING: this site uses Cascading Style
      Sheets for rendering and is thus not supported well by Netscape
      version 4.xx.  It will nonetheless remain functional and will be
      able to access every piece of information contained on the
      site. However, if you want it to have a nice look and feel,
      please use a navigator that supports CSS correctly such as
      Mozilla, MSIE 5.5/6 or Konqueror.</p>

<?php
include "header.php";
require("menu.php"); 
menu("en","Home");
?>

    <div class=main>

      <div class=news>
	<p style="text-align: center"><a href="http://www.aopsys.com"><img src="logos/logo_AOPSYS.png" width="150" alt="AOPSYS logo"></a>
	</p>
	<h1>News</h1>
	<ul>
	  <li>24/06/2003: <a href="http://www.rencontresmondiales.org/program/view_topic.php?topic_id=23">JAC will be presented at the Libre Software Meeting</a> in Metz, July 9-12</li>
	  <li>17/04/2003: <a href="downloads.html">JAC version
	  0.10.1</a> released: bug fixes</li>
	  <li>14/04/2003: <a href="downloads.html">JAC version
	  0.10</a> released: IDE and web GUI enhancements</li>
	  <li>07/03/2003:
	    <a href="http://www.javaworld.com/javaworld/jw-03-2003/jw-0307-jac.html">Tutorial
	  on Javaworld</a></li>
	  <li>07/03/2003: <a href="downloads.html">JAC version 0.9.4</a>
	  released: lots of IDE enhancements</li>
	  <li>01/03/2003: Announce: <a href="http://jac.aopsys.com/pipermail/jac-announcement/2003-February/000016.html">free workshop in Paris, France.</a></li>
	  <li>22/01/2003: Announce: the JAC's
	  team will give a JAC tutorial at the <a
	  href="http://aosd.net/conference.html">AOSD 2003 conference</a></li>
	  <li>22/01/2003: <a href="publications.html">Renaud Pawlak's
	  PhD Thesis is online</a></li>
	  <li>19/12/2002: <a href="downloads.html">JAC version 0.9.2</a>
	  released: it contains bug fixes</li>
	  <li>15/12/2002: <a href="downloads.html">JAC version 0.9.1</a>
	  released</li>
	</ul>      
      </div>

    <h1>What is JAC ?</h1>

    <p><b>JAC</b> (<b>J</b>ava <b>A</b>spect <b>C</b>omponents) is a very
    ambitious project consisting in developing an <b>aspect-oriented</b>
    middleware layer.</p>

      <p>Current application servers relying on J2EE does not always
      provide satisfying means to separate technical concerns from the
      application code. Since JAC uses aspect-orientation, the complex
      EJBs components are replaced by <b>POJOs</b> (Plain Old Java Objects)
      and technical concerns implementations that are usually wired deep into
      the containers implementations are replaced by loosely-coupled,
      dynamically pluggable <b>aspect components</b>.</p>

      <p>JAC supports (in <i>aspect components</i>):

      <ul>
	<li>seamless <b>persistence</b> (CMP) that fully handles collections and
	  references
	</li>
	<li>flexible <b>clustering</b> features (customisable broadcast,
	  load-balancing, data-consistency, caching)
	</li>
	<li>instantaneously defined users and <b>profiles management</b>,
	<b>access rights</b> checking, and <b>authentication</b> features</li>
	<li>several <b>data integrity</b> features</li> 
	<li><b>RAD</b> (Rapid Application Development):
	  <ul>
	    <li>the GUI aspect
	      allows the programmer to develop <b>Swing</b> and <b>WEB</b> applications at
	      incredible speeds</li>
	    <li>the <b>UMLAF IDE</b> (UML Aspectual Factory) allows the
	      programmer to generate running Java applications simply
	      by drawing boxes and by configuring existing aspect
	      components</li>
	  </ul>
	</li>
	<li>and many more features!!!</li>
      </ul>

      <p>All this software is <b>Open Source</b> (LGPL) and free of charges! (see
	  the <a href="LICENSE">license</a>)</p>
      
      <h1>Quick tour</h1>

      <ul>
	<li>To have a quick overview of what can be done with JAC, see
	    the <a href="demo.html">online sample</a> of a photo
	    manager application.</li>
      
	<li>For more precise questions, please refer to the <a
	href="doc/faq.html">FAQ</a>.</li>
	
	<li>To <a href="contacts.html">get involved</a> or to <a
	href="contacts.html">contact us</a>.</li>
      
    </ul>
      
    </div>

<?php require("footer.php"); footer(true); ?>

  </body>
</html>
<<<<<<< index.php

<!--
Local Variables:
mode: html
End:
-->
